/** @typedef {object} PostgreSQL
	 * @property {string} apiVersion
	 * @property {string} kind
	 * @property {object} metadata
	 * @property {string} [metadata.creationTimestamp]
	 * @property {string} [metadata.deletionTimestamp]
	 * @property {string[]} [metadata.finalizers]
	 * @property {number} [metadata.generation]
	 * @property {string} metadata.name
	 * @property {string} metadata.namespace
	 * @property {string} [metadata.resourceVersion]
	 * @property {string} [metadata.uid]
	 * @property {object} spec
	 * @property {string} spec.database
	 * @property {string} spec.password
	 * @property {string} spec.user
	 * @property {string} spec.version
	 * @property {object} [status]
	 * @property {object} status.conditions
	 * @property {string} status.conditions.pod
	 * @property {string} status.conditions.service
	 * @property {object} status.listenOn
	 * @property {string} status.listenOn.host
	 * @property {string} status.listenOn.node
	 * @property {number} status.listenOn.port
	 * @property {string} status.status
	 */

export const Types = {}